<?php
/*映射教师信息数据库表:t_Teacher*/
class Teacher {
	/*教师编号*/
	private $teacherNumber;
	public function setTeacherNumber($teacherNumber) {
		$this->teacherNumber = $teacherNumber;
	}
	public function getteacherNumber() {
		return $this->teacherNumber;
	}
	/*教师姓名*/
	private $teacherName;
	public function setTeacherName($teacherName) {
		$this->teacherName = $teacherName;
	}
	public function getteacherName() {
		return $this->teacherName;
	}
	/*登录密码*/
	private $teacherPassword;
	public function setTeacherPassword($teacherPassword) {
		$this->teacherPassword = $teacherPassword;
	}
	public function getteacherPassword() {
		return $this->teacherPassword;
	}
	/*性别*/
	private $teacherSex;
	public function setTeacherSex($teacherSex) {
		$this->teacherSex = $teacherSex;
	}
	public function getteacherSex() {
		return $this->teacherSex;
	}
	/*出生日期*/
	private $teacherBirthday;
	public function setTeacherBirthday($teacherBirthday) {
		$this->teacherBirthday = $teacherBirthday;
	}
	public function getteacherBirthday() {
		return $this->teacherBirthday;
	}
	/*入职日期*/
	private $teacherArriveDate;
	public function setTeacherArriveDate($teacherArriveDate) {
		$this->teacherArriveDate = $teacherArriveDate;
	}
	public function getteacherArriveDate() {
		return $this->teacherArriveDate;
	}
	/*身份证号*/
	private $teacherCardNumber;
	public function setTeacherCardNumber($teacherCardNumber) {
		$this->teacherCardNumber = $teacherCardNumber;
	}
	public function getteacherCardNumber() {
		return $this->teacherCardNumber;
	}
	/*联系电话*/
	private $teacherPhone;
	public function setTeacherPhone($teacherPhone) {
		$this->teacherPhone = $teacherPhone;
	}
	public function getteacherPhone() {
		return $this->teacherPhone;
	}
	/*教师照片*/
	private $teacherPhoto;
	public function setTeacherPhoto($teacherPhoto) {
		$this->teacherPhoto = $teacherPhoto;
	}
	public function getteacherPhoto() {
		return $this->teacherPhoto;
	}
	/*家庭地址*/
	private $teacherAddress;
	public function setTeacherAddress($teacherAddress) {
		$this->teacherAddress = $teacherAddress;
	}
	public function getteacherAddress() {
		return $this->teacherAddress;
	}
	/*附加信息*/
	private $teacherMemo;
	public function setTeacherMemo($teacherMemo) {
		$this->teacherMemo = $teacherMemo;
	}
	public function getteacherMemo() {
		return $this->teacherMemo;
	}
}
?>
